=== tests/deckard/requirements.txt ===
dnspython>=1.15
Jinja2>=2.8
PyYAML
python-augeas
pytest
