=== debian/changelog ===
knot-resolver (2.1.1-1) unstable; urgency=medium

  * new upstream release
  * drop patches already upstream
  * refresh remaining patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 25 Feb 2018 17:36:46 -0800

knot-resolver (2.1.0-2) unstable; urgency=medium

  * clean up README.source
  * more bugfix patches from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 Feb 2018 13:27:59 -0800

knot-resolver (2.1.0-1) unstable; urgency=medium

  * new upstream release
    - move from libkres5 to libkres6 due to an ABI change
    - kresd.systemd(7) documents running a public-facing resolver
      (Closes: #880682)
  * d/upstream/signing-key.asc: add Tomas Krizek's key
  * d/gbp.conf: use DEP-14 branch naming
  * drop patches already upstream
  * d/control: build-depend on libknot-dev (>= 2.6.4)
  * handle updates to the DNS root.key sensibly (dpkg triggers)
  * systemd: mask kresd.service, following upstream's recommendation
  * /etc/default/kresd: indicate that it is only for sysvinit
  * d/rules: clean up unnecessary lines
  * systemd: ship upstream unit files and tmpfiles config directly
  * d/control: Rules-Requires-Root: no
  * use python3 during the build.
  * ship upstream NEWS file as upstream changelog
  * debian/TODO: clean up

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 17 Feb 2018 21:13:45 -0500

knot-resolver (2.0.0-3) unstable; urgency=medium

  * documentation: build with sphinx_rtd_theme

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Feb 2018 17:13:04 -0500

knot-resolver (2.0.0-2) unstable; urgency=medium

  * Simplify /etc/default/kresd
  * drop preinst special case for versions < 1.1.0-2
  * postinst: create the knot-resolver user at configure time
  * initscript knows path to /usr/lib/tmpfiles.d/knot-resolver.conf
  * Overhaul systemd integration.
  * d/copyright: include more contributed subprojects (Closes: #889646)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Feb 2018 13:46:25 -0500

knot-resolver (2.0.0-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Reduce the (non-public) symbols in libkres4

  [ Daniel Kahn Gillmor ]
  * import systemd fixes from Tomas Krizek
  * avoid leaving /run/knot-resolver world-executable
  * systemd: set up kresd@1 service and sockets
  * wrap-and-sort -ast
  * Add kresd.service as a symlink to kresd@1.service
  * more bugfixes from upstream
  * NEWS: document changes for using kresd with systemd
  * include new lua modules
  * move from libkres4 to libkres5 (cache functions dropped)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Feb 2018 00:25:51 -0500

knot-resolver (1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Jan 2018 12:35:55 +0000

knot-resolver (1.5.2-1) unstable; urgency=medium

  * New upstream release
    - closes CVE-2018-1000002
  * d/copyright: use https where possible
  * move to debhelper 11 (docs to /u/s/doc/knot-resolver/, policy §12.3)
  * d/control: move Maintainer: to knot-resolver@packages.debian.org

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 22 Jan 2018 15:00:21 +0100

knot-resolver (1.5.1-2) unstable; urgency=medium

  * libkres-dev Depends on libkres4 (Closes: #887572)
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * move Vcs-* to salsa.debian.org

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Jan 2018 23:23:45 -0500

knot-resolver (1.5.1-1) unstable; urgency=medium

  * new upstream release
  * move packaging split to unstable
  * d/watch: move to version 4, avoid alpha/beta releases
  * drop patches for bugs already fixed upstream
  * use "make installcheck" as a simple test
  * track evolving name of etcd module
  * wrap-and-sort -a
  * shipping new modules: priming, detect_time_{jump,skew}
  * added kr_now to exported symbols
  * Standards-Version: bump to 4.1.2 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Dec 2017 15:40:10 -0500

knot-resolver (1.5.0-5) experimental; urgency=medium

  * packaging cleanup, splitting out library packages
  * dbgsym migration no longer needed
    knot-resolver-dbg is not shipped anywhere
  * clean up installation of knot-resolver-module-http
  * move to dh_missing, as dh_install --fail-missing is deprecated
  * clean up/simplify knot-resolver.install
  * break out libkres library packages
  * put manpage installation under control of dh_installman
  * knock stuff off the packaging todo list
  * register knot-resolver-doc with doc-base
  * add libkres4.symbols to track API evolution
  * correct debian/copyright paths

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Nov 2017 23:25:54 -0500

knot-resolver (1.5.0-4) unstable; urgency=medium

  * Pull upstream patch to increase the CACHE_SIZE in tests_cache for
    platforms with page size greater than 4k (Closes: #878976)
  * Pull upstream patch from MR!389 to not run check-config at all as
    modulepath is hardcoded (Closes: #881492)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Nov 2017 19:53:30 +0000

knot-resolver (1.5.0-3) unstable; urgency=medium

  * reorder tests

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Nov 2017 03:24:06 +0800

knot-resolver (1.5.0-2) unstable; urgency=medium

  * include a list of suggestions for future packaging work
  * try some debugging to see failures for #881492

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Nov 2017 03:19:21 +0800

knot-resolver (1.5.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update source homepage (Closes: #879166)
  * Standards-Version: bump to 4.1.1 (no changes needed)
  * switch to debhelper 10
  * drop dh-systemd build-dep -- no longer needed (may be added back for
    backports)
  * [lintian] fix debian-news-entry-uses-asterisk
  * drop unused lintian overrides
  * added myself to uploaders
  * update upstream signer key
  * patch from upstream for SIGPIPE (Closes: #881462)
  * patch to fix upstream test suite

