=== debian/tests/control ===
Test-Command: make installcheck
Depends: @, @builddeps@
