=== debian/changelog ===
knot-resolver (2.3.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * note the DEP-14 debian/stretch-backports branch

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 22 May 2018 10:55:17 -0400

knot-resolver (2.3.0-3) unstable; urgency=medium

  * create knot-resolver user correctly in postinst (Closes: #894580)
  * d/changelog: update to acknowledge CVE-2018-1110

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 May 2018 11:58:29 -0400

knot-resolver (2.3.0-2) unstable; urgency=medium

  * only build against libsystemd on linux architectures

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 Apr 2018 11:56:29 -0400

knot-resolver (2.3.0-1) unstable; urgency=medium

  * new upstream release
    - resolves CVE-2018-1110
  * drop patches already upstream
  * ship prefill module
  * d/copyright: adjust years of main stanza
  * add trie_* and kr_zonecut_is_empty to symbols
  * Standards-Version: bump to 4.1.4 (no changes needed)
  * drop unnecessary build-dependencies

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Apr 2018 19:20:45 -0400

knot-resolver (2.2.0-1) unstable; urgency=medium

  * new upstream release
    - move from libkres6 to libkres7 due to ABI change
  * drop patches already merged upstream
  * avoid shipping root.hints and icann-ca.pem without a patch
  * work around https://gitlab.labs.nic.cz/knot/knot-resolver/issues/338
  * renumbering patches for cleanliness
  * use externally-set CPPFLAGS during build
  * clean up build of lua-aho-corasick
  * document copyright better to drop a lintian override
  * clarify rationales behind lintian-overrides
  * be clearer about keyfile-ro restarting kresd in kresd.8

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 08 Apr 2018 23:46:47 -0400
