=== debian/control ===
--- 
+++ 
@@ -17,21 +17,17 @@
  libedit-dev,
  libgeoip-dev,
  libgnutls28-dev,
- libhiredis-dev,
- libjansson-dev,
  libknot-dev (>= 2.6.4),
  liblmdb-dev,
  libluajit-5.1-dev,
- libmemcached-dev,
- libsystemd-dev (>= 227),
+ libsystemd-dev (>= 227) [linux-any],
  libuv1-dev,
  luajit,
  pkg-config,
- python3,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
-Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
+Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git -b debian/stretch-backports
 Rules-Requires-Root: no
 
 Package: knot-resolver
@@ -39,7 +35,7 @@
 Depends:
  adduser,
  dns-root-data,
- libkres6 (= ${binary:Version}),
+ libkres7 (= ${binary:Version}),
  lua-sec,
  lua-socket,
  ${misc:Depends},
@@ -103,7 +99,7 @@
  .
  This package contains Knot Resolver Documentation.
 
-Package: libkres6
+Package: libkres7
 Architecture: any
 Section: libs
 Depends:
@@ -127,7 +123,7 @@
 Architecture: any
 Section: libdevel
 Depends:
- libkres6 (= ${binary:Version}),
+ libkres7 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
