## knot-resolver 3.0.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+SHELL=/bin/bash -o pipefail -o errexit
+
 include config.mk
 include platform.mk
 
@@ -16,7 +18,7 @@
 .PHONY: all install check clean doc info lint
 
 # Dependencies
-KNOT_MINVER := 2.6.4
+KNOT_MINVER := 2.7.1
 $(eval $(call find_lib,libknot,$(KNOT_MINVER),yes))
 $(eval $(call find_lib,libdnssec,$(KNOT_MINVER),yes))
 $(eval $(call find_lib,libzscanner,$(KNOT_MINVER),yes))
@@ -30,8 +32,6 @@
 $(eval $(call find_bin,doxygen))
 $(eval $(call find_bin,sphinx-build))
 $(eval $(call find_pythonpkg,breathe))
-#$(eval $(call find_lib,libmemcached,1.0))
-#$(eval $(call find_lib,hiredis,,yes))
 $(eval $(call find_lib,socket_wrapper))
 $(eval $(call find_lib,libsystemd,227))
 $(eval $(call find_lib,gnutls))
@@ -84,7 +84,7 @@
 
 # Overview
 info:
-	$(info Target:     Knot DNS Resolver $(VERSION)-$(PLATFORM))
+	$(info Target:     Knot Resolver $(VERSION)-$(PLATFORM))
 	$(info Compiler:   $(CC) $(BUILD_CFLAGS))
 	$(info Linker:     $(CCLD) $(BUILD_LDFLAGS))
 	$(info )
@@ -116,11 +116,9 @@
 	$(info [$(HAS_sphinx-build)] sphinx-build (doc))
 	$(info [$(HAS_breathe)] python-breathe (doc))
 	$(info [$(HAS_go)] go (modules/go, Go buildmode=c-shared support))
-#	$(info [$(HAS_libmemcached)] libmemcached (modules/memcached))
-#	$(info [$(HAS_hiredis)] hiredis (modules/redis))
 	$(info [$(HAS_cmocka)] cmocka (tests/unit))
 	$(info [$(HAS_libsystemd)] systemd (daemon))
-	$(info [$(HAS_nettle)] nettle (modules/cookies))
+#	$(info [$(HAS_nettle)] nettle (modules/cookies))
 	$(info [$(HAS_ltn12)] Lua socket ltn12 (trust anchor bootstrapping))
 	$(info [$(HAS_ssl.https)] Lua ssl.https (trust anchor bootstrapping))
 	$(info [$(HAS_libedit)] libedit (client))
@@ -163,10 +161,13 @@
 endif
 
 # Check if it has nettle to support DNS cookies
-ifeq ($(HAS_nettle), yes)
-BUILD_CFLAGS += -DENABLE_COOKIES
-ENABLE_COOKIES := yes
-endif
+
+# temporarily turn off cookies
+#ifeq ($(HAS_nettle), yes)
+#BUILD_CFLAGS += -DENABLE_COOKIES
+#ENABLE_COOKIES := yes
+#endif
+ENABLE_COOKIES := no
 
 # Installation directories
 $(DESTDIR)$(MODULEDIR):
