=== debian/changelog ===
knot-resolver (3.0.0-9) unstable; urgency=medium

  * autopkg: allow stderr on "make installcheck"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Sep 2018 13:02:45 -0400

knot-resolver (3.0.0-8) unstable; urgency=medium

  * avoid stderr during autopkgtest
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Sep 2018 09:51:40 -0400

knot-resolver (3.0.0-7) unstable; urgency=medium

  * try upstream proposed test suite change

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Sep 2018 23:58:14 -0400

knot-resolver (3.0.0-6) unstable; urgency=medium

  * stop building knot-resolver on arm64 (Closes: #907729)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Sep 2018 19:30:10 -0400

knot-resolver (3.0.0-5) unstable; urgency=medium

  * roundtrip test: increase verbosity
  * roundtrip test: avoid long timeouts if UDP query fails
  * autopkgtest: improve call to "make installcheck"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 31 Aug 2018 21:10:39 -0400

knot-resolver (3.0.0-4) unstable; urgency=medium

  * Re-enable tests on all architectures
  * autopkgtest: be more verbose about error
  * autopkgtest: allow specifying module directory
  * point to modules needed to run roundtrip test at build time

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 31 Aug 2018 14:00:24 -0400

knot-resolver (3.0.0-3) unstable; urgency=medium

  * improve autopkgtest
  * autopkgtest: env vars can select which kdig and kresd to test
  * run roundtrip test at compile time too

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 31 Aug 2018 11:36:17 -0400

knot-resolver (3.0.0-2) unstable; urgency=medium

  * autopkgtest: added full roundtrip tests

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Aug 2018 14:41:02 -0400

knot-resolver (3.0.0-1) unstable; urgency=medium

  * new upstream release
  * Standards-Version: bump to 4.2.1 (no changes needed)
  * build-depend on libknot 2.7 or later

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 27 Aug 2018 18:42:45 -0400

knot-resolver (2.4.1-1) unstable; urgency=medium

  * new upstream release
   - resolves CVE-2018-10920
  * k-r.postinst: strip trailing whitespace
  * clean up patches already adopted upstream
  * ship rebinding lua module
  * use upstream-preferred systemd service configuration
  * tell lintian not to complain about kresd.target
  * tighten up build-deps on libknot-dev
  * three symbols (re)introduced into libkres7
  * Standards-Version: bump to 4.2.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 27 Aug 2018 18:22:48 -0400

knot-resolver (2.3.0-4) unstable; urgency=medium

  * try to restart any running kresd daemon on upgrade
  * correct systemctl start documentation (Closes: #891838)
  * fix FTBFS on kfreebsd (Closes: #900013)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 May 2018 13:10:31 -0400
