=== debian/control ===
--- 
+++ 
@@ -13,29 +13,33 @@
 Build-Depends:
  debhelper (>= 11~),
  dns-root-data,
+ gnutls-bin <!nocheck>,
+ knot-dnsutils <!nocheck>,
  libcmocka-dev (>= 1.0.0),
  libedit-dev,
  libgeoip-dev,
  libgnutls28-dev,
- libknot-dev (>= 2.6.4),
+ libknot-dev (>= 2.7),
  liblmdb-dev,
  libluajit-5.1-dev,
  libsystemd-dev (>= 227) [linux-any],
  libuv1-dev,
  luajit,
  pkg-config,
-Standards-Version: 4.1.4
+ socat <!nocheck>,
+Standards-Version: 4.2.1
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
-Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git -b debian/stretch-backports
+Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
 Rules-Requires-Root: no
 
 Package: knot-resolver
+# actually "Architecture: any [!arm64]" via debian/rules, see #907729
 Architecture: any
 Depends:
  adduser,
  dns-root-data,
- libkres7 (= ${binary:Version}),
+ libkres8 (= ${binary:Version}),
  lua-sec,
  lua-socket,
  ${misc:Depends},
@@ -60,6 +64,7 @@
  nodes depending on the contention without downtime.
 
 Package: knot-resolver-module-http
+# actually "Architecture: any [!arm64]" via debian/rules, see #907729
 Architecture: all
 Depends:
  libjs-bootstrap,
@@ -99,7 +104,7 @@
  .
  This package contains Knot Resolver Documentation.
 
-Package: libkres7
+Package: libkres8
 Architecture: any
 Section: libs
 Depends:
@@ -123,7 +128,7 @@
 Architecture: any
 Section: libdevel
 Depends:
- libkres7 (= ${binary:Version}),
+ libkres8 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
