=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,14 @@
 export MODULEDIR=/usr/lib/knot-resolver
 export ETCDIR=/etc/knot-resolver
 
-RUN_TESTS := yes
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armel armhf arm64 kfreebsd-amd64 kfreebsd-i386))
-  $(warning Disabling checks on $(DEB_HOST_ARCH))
-  RUN_TESTS := no
+# see https://bugs.debian.org/907729
+LUA_LUD_BROKEN_ARCHES := arm64
+ifneq (, $(filter $(DEB_HOST_ARCH), $(LUA_LUD_BROKEN_ARCHES)))
+  KRESD_EXCLUDE_ARCHES := -Nknot-resolver -Nknot-resolver-module-http
 endif
 
 %:
-	dh $@
+	dh $@ $(KRESD_EXCLUDE_ARCHES)
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- doc-clean http-clean
@@ -42,7 +42,8 @@
 	cd doc && sphinx-build -b html -D html_theme=nature . html
 
 override_dh_auto_install-arch:
-	dh_auto_install --destdir=debian/tmp -- V=1
+	dh_auto_install --destdir=debian/tmp -- V=1 KEYFILE_DEFAULT=/usr/share/dns/root.key
+	rm -f debian/tmp/etc/knot-resolver/root.hints debian/tmp/etc/knot-resolver/icann-ca.pem
 
 override_dh_auto_install-indep:
 # install just the http/2 module
@@ -56,8 +57,12 @@
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
-ifeq ($(RUN_TESTS),yes)
 	dh_auto_test -- V=1
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+ifeq (, $(filter $(DEB_HOST_ARCH), $(LUA_LUD_BROKEN_ARCHES)))
+	mkdir -p test-modules && (cd test-modules && ln -sf ../modules/*/*.lua ../modules/*/*.so ../modules/policy/lua-aho-corasick/*.lua ../modules/policy/lua-aho-corasick/*.so ../daemon/lua/* ./)
+	MODULE_DIR=$(CURDIR)/test-modules LD_LIBRARY_PATH=$(CURDIR)/lib KRESD=$(CURDIR)/daemon/kresd debian/tests/roundtrip
+endif
 endif
 
 override_dh_missing:
