=== debian/tests/control ===
Test-Command: make -k installcheck V=1 PREFIX=/usr ROOTHINTS=/usr/share/dns/root.hints KEYFILE_DEFAULT=/usr/share/dns/root.key
Depends: @, @builddeps@, lua-cqueues
Restrictions: allow-stderr

Tests: roundtrip
Depends: gnutls-bin, knot-dnsutils, knot-resolver, socat
