## knot-resolver 3.2.0

=== debian/changelog ===
knot-resolver (3.2.0-1) unstable; urgency=medium

  * new upstream release
  * bump ABI from libkres8 to libkres9
  * drop reproducibility patch, adopted upstream
  * include experimental_dot_auth module (recommend: lua-basexx for it)
  * d/copyright: removed reference to ISAAC, removed upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Dec 2018 19:23:37 -0500

knot-resolver (3.1.0-1) unstable; urgency=medium

  * new upstream release
  * set knot-resolver-doc to Multi-Arch: foreign
  * drop upstreamed patch; avoid use of git during installcheck
  * make reproducible datestamp in kresd(8)
  * increase build-dep on libknot to 2.7.2
  * updated libkres8.symbols
  * minimize upstream signing keys
  * drop unused lintian-overrides

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 20 Nov 2018 15:47:19 -0500
