=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libedit-dev,
  libgeoip-dev,
  libgnutls28-dev,
- libknot-dev (>= 2.7),
+ libknot-dev (>= 2.7.2),
  liblmdb-dev,
  libluajit-5.1-dev,
  libsystemd-dev (>= 227) [linux-any],
@@ -39,13 +39,14 @@
 Depends:
  adduser,
  dns-root-data,
- libkres8 (= ${binary:Version}),
+ libkres9 (= ${binary:Version}),
  lua-sec,
  lua-socket,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  knot-resolver-module-http,
+ lua-basexx,
 Description: caching, DNSSEC-validating DNS resolver
  The Knot DNS Resolver is a caching full resolver implementation
  written in C and LuaJIT, including both a resolver library and a
@@ -89,6 +90,7 @@
 
 Package: knot-resolver-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-jquery,
@@ -104,7 +106,7 @@
  .
  This package contains Knot Resolver Documentation.
 
-Package: libkres8
+Package: libkres9
 Architecture: any
 Section: libs
 Depends:
@@ -128,7 +130,7 @@
 Architecture: any
 Section: libdevel
 Depends:
- libkres8 (= ${binary:Version}),
+ libkres9 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
